package com.github.nullptroma.wallenc.domain.vault.ports

import com.github.nullptroma.wallenc.domain.vault.model.YandexAccount
import kotlinx.coroutines.flow.Flow

interface YandexAccountStore {
    fun observeAll(): Flow<List<YandexAccount>>
    suspend fun getByYandexUserId(id: String): YandexAccount?
    suspend fun getByVaultUuid(vaultUuid: String): YandexAccount?
    suspend fun insert(account: YandexAccount)
    suspend fun updateCredentials(vaultUuid: String, email: String, token: String)
    suspend fun deleteByVaultUuid(vaultUuid: String)
}
